Obtener reclamaciones usando el ID del comercio
curl --request GET \
--url https://e3-kausanna.sonqo.io/merchants/{merchantId}/claims \
--header 'Authorization: Bearer <token>'import requests
url = "https://e3-kausanna.sonqo.io/merchants/{merchantId}/claims"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://e3-kausanna.sonqo.io/merchants/{merchantId}/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "207779219414",
"primaryAccountNumber": "5450********6048",
"rrn": "08032054026003400006298",
"status": "SECOND_PRESENTATION_STARTED",
"isOpen": true,
"createdAt": "2024-03-05T19:51:58.202Z",
"updatedAt": "2024-03-05T19:54:01.709Z",
"merchantId": "000000000010377",
"amount": 1000,
"currency": "ARS",
"outcome": "in_progress",
"transactionId": "TI:FIEaEgnM3bwPijwZgjc3Te+Y0ieLbN9ijUugqNSvJmVbO1xs6Jh5iIlmpOpkbax79L8Yj1rBOWBACx+Vj17rzvOepWobpgWNJNdsgHB4ag=#hqCnaMDqmto4wnL+BSUKSdzROqGJ7YELoKhEvluycwKNg3XTzSfaIJhFDkl9hW081B5tTqFFiAwCpcocPdB2My4t7DtSTk63VXDl1CySA8Y=",
"issuerId": 6195,
"acquirerId": 6355,
"partnerId": "01HNBCE7RY395G62BCQFYDCV46",
"seen": false,
"events": [
{
"name": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
],
"origin": "mastercard",
"authCode": "ab3285c5",
"flow": {
"currentStep": "PENDING_REVIEW"
},
"payment": {
"id": "<string>",
"data_privacy": {
"encrypted": {
"data": "test",
"origin": "non_present"
}
},
"card_method_type": "encrypted",
"card_holder_name": "Test",
"card_holder_doc_type": "DNI",
"type": "card_payment",
"expiration_date": "04/2029",
"card_type": "DEBIT",
"card_holder_email": "[email protected]",
"expiration_year": "2029",
"product_id": "MASTERCARD",
"expiration_month": "04",
"name": "MASTERCARD",
"pan": "553771******3011",
"card_holder_doc_number": "002839234234",
"wallet_name": "galicia",
"QRName": "bb22707a-457e-4695-a29d-8ed76d4bbe85"
},
"merchant": {
"storeId": "6546e6b2-b0ce-4159-addf-f0147ce08bc4",
"ownerId": "c6efebfb-b5ba-4e17-8ece-c8c47d27ddf8",
"name": "Catdog",
"mcc": "7311",
"taxId": "23395567659",
"taxIdType": "arg.cuit",
"externalPaymentId": "8524623",
"contact": {
"email": "No data",
"phone": "No data",
"businessName": "EZEQUIEL CALONGE",
"country": "ARG"
},
"address": {
"country": "ARG",
"address": {
"number": "135",
"notes": "-",
"street": "Luis piedra buena"
},
"city": "CHIVILCOY",
"name": "LINK DE PAGO",
"id": "c231a73b-b1f5-4b1a-b049-675876938605",
"state": "B",
"zip_code": "B6620AAA"
}
}
}
]
}{
"success": false,
"message": "User not authorized"
}Claims
Listar reclamos por ID de comercio (merchantId)
GET
/
merchants
/
{merchantId}
/
claims
Obtener reclamaciones usando el ID del comercio
Este endpoint te permite obtener las disputas de un comercio especifico. El merchantId es el identificador del comercio que se utiliza en las redes de las marcas.
Es necesario contar con un merchantId válido para consultar este endpoint.
Puedes obtener un merchantId consultando el listado de claims de tu cuenta, usando el endpoint
GET /claims/acquirer/{acquirerId}.⌘I

